# Class WrapperPlotData

java.lang.Object
uk.ac.starlink.ttools.plot.WrapperPlotData

All Implemented Interfaces:
  `PlotData`

Direct Known Subclasses:
  `SubsetSelectionPlotData`

public class WrapperPlotData extends Object implements PlotData
PlotData implementation based on an existing PlotData object. All behaviour is delegated to the base.

Since:
  24 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WrapperPlotData(PlotData base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNdim()`
Returns the dimensionality of data points in this object.
`int`
`getNerror()`
Returns the number of error points per data point in this object.
`PointSequence`
`getPointSequence()`
Returns an iterator over the data points in this object.
`int`
`getSetCount()`
Returns the number of subsets in this object.
`String`
`getSetName(int iset)`
Returns the name for a given subset.
`Style`
`getSetStyle(int iset)`
Returns the plotting style for a given subset.
`boolean`
`hasLabels()`
Indicates whether there are or may be text labels associated with the data points in this object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperPlotData

public WrapperPlotData(PlotData base)
Constructor.

Parameters:
  `base` - base plot data

## Method Details

### getNdim

public int getNdim()
Description copied from interface: `PlotData`
Returns the dimensionality of data points in this object.

Specified by:
  `getNdim` in interface `PlotData`
Returns:
  length of `PointSequence.getPoint()` return values

### getNerror

public int getNerror()
Description copied from interface: `PlotData`
Returns the number of error points per data point in this object.

Specified by:
  `getNerror` in interface `PlotData`
Returns:
  length of `PointSequence.getErrors()` return values

### getSetCount

public int getSetCount()
Description copied from interface: `PlotData`
Returns the number of subsets in this object.

Specified by:
  `getSetCount` in interface `PlotData`
Returns:
  subset count

### getSetName

public String getSetName(int iset)
Description copied from interface: `PlotData`
Returns the name for a given subset.

Specified by:
  `getSetName` in interface `PlotData`
Parameters:
  `iset` - subset index
Returns:
  subset name

### getSetStyle

public Style getSetStyle(int iset)
Description copied from interface: `PlotData`
Returns the plotting style for a given subset.

Specified by:
  `getSetStyle` in interface `PlotData`
Parameters:
  `iset` - subset index
Returns:
  subset style

### hasLabels

public boolean hasLabels()
Description copied from interface: `PlotData`
Indicates whether there are or may be text labels associated with the data points in this object.

Specified by:
  `hasLabels` in interface `PlotData`
Returns:
  true if `PointSequence.getLabel()` may have non-null returns

### getPointSequence

public PointSequence getPointSequence()
Description copied from interface: `PlotData`
Returns an iterator over the data points in this object.

Specified by:
  `getPointSequence` in interface `PlotData`
Returns:
  new point iterator